<app-loading *ngIf="preloader"></app-loading>
<div class="container" fxLayout="row" fxLayoutAlign="center">
    <div fxFlex="95%">
        <mat-card>
            <mat-card-header>
                <mat-card-title>Configuración Horario Especial </mat-card-title>
                <mat-card-subtitle>Gestión de Horarios Especiales</mat-card-subtitle>
            </mat-card-header>
            <mat-card-content>
                <div fxLayout="row wrap" fxFlexAlign="center" class="form-row">
                    <div align="lef" fxFlex.gt-sm="30" fxFlex="100" class="p-10 form-group col">
                        <button mat-mini-fab color="primary" matTooltip="Crear nuevo horario especial"
                            (click)="openModal();">
                            <mat-icon>add</mat-icon>
                        </button>
                    </div>
                   
                      <!--   <button mat-mini-fab color="accent" matTooltip="Refrescar datos" (click)="refreshData();">
                            <mat-icon>wifi_protected_setup</mat-icon>
                        </button>
                     -->
                    <div align="end" fxFlex.gt-sm="70" fxFlex="100" class="p-10 form-group col">
                        <mat-form-field dividerColor="primary">
                            <input maxlength="50" matInput placeholder="Buscar"
                                [formControl]="this.validateFilters.get('search')" #search
                                (keyup)="filterTable($event)" autocomplete="off">
                            <mat-icon matSuffix>search</mat-icon>
                        </mat-form-field>
                    </div>
                </div>
            </mat-card-content>
        </mat-card>

    </div>
</div>
<div class="container" fxLayout="row" fxLayoutAlign="center">
    <div fxFlex="95%">
        <mat-card>
            <mat-card-content>
                <button class="end-menu-options" mat-icon-button [matMenuTriggerFor]="menu"
                    [matTooltipPosition]="'above'" matTooltip="Acciones desactivar estadoss"
                    *ngIf="this.selection.selected.length > 0">
                    <mat-icon>more_horiz</mat-icon>
                </button>
                <mat-menu #menu="matMenu">
                    <button mat-menu-item (click)="actionCasesSelected(option.value)"
                        *ngFor="let option of checkboxOptions">
                        <mat-icon [color]="option.color">{{ option.icon }}</mat-icon>
                        <span>{{ option.name }}</span>
                    </button>
                </mat-menu>
                <div class="responsive-table">
                    <mat-table #table [dataSource]="dataSource" matSort>
                        <ng-container matColumnDef="select">
                            <mat-header-cell *matHeaderCellDef>Seleccionar
                            </mat-header-cell >
                            <mat-cell *matCellDef="let row" data-label="Seleccionar">
                                <mat-checkbox [disabled]="row.status_special_schedule ===0" color="primary" 
                                    class="example-margin" (click)="$event.stopPropagation()" (change)="$event ? selection.toggle(row)
                                 : null" [checked]="selection.isSelected(row)">
                                </mat-checkbox>
                            </mat-cell>
                        </ng-container>
                        <ng-container matColumnDef="client">
                            <mat-header-cell *matHeaderCellDef>Cliente</mat-header-cell>
                            <mat-cell *matCellDef="let element" data-label="Cliente">
                                {{element.fk_customer.nameCustomer}}
                            </mat-cell>
                        </ng-container>
                        <ng-container matColumnDef="service">
                            <mat-header-cell *matHeaderCellDef>Servicio</mat-header-cell>
                            <mat-cell *matCellDef="let element" data-label="Servicio">
                                {{element.fk_service.descriptionService}}
                            </mat-cell>
                        </ng-container>
                        <ng-container matColumnDef="date">
                            <mat-header-cell *matHeaderCellDef>Fecha</mat-header-cell>
                            <mat-cell *matCellDef="let element" data-label="Fecha">
                                {{element.fk_holyday.dateHolyday |date :'dd/MM/yyyy'}}
                            </mat-cell>
                        </ng-container>
                        <ng-container matColumnDef="start_time">
                            <mat-header-cell *matHeaderCellDef>Hora de inicio</mat-header-cell>
                            <mat-cell *matCellDef="let element" data-label="Hora de inicio">
                                {{element.stard_hour_special |date :'h:mm a'}}
                            </mat-cell>
                        </ng-container>
                        <ng-container matColumnDef="end_time">
                            <mat-header-cell *matHeaderCellDef>Hora fin</mat-header-cell>
                            <mat-cell *matCellDef="let element" data-label="Hora fin">
                                {{element.end_hour_special |date :'h:mm a'}}
                            </mat-cell>
                        </ng-container>
                        <ng-container matColumnDef="status">
                            <mat-header-cell *matHeaderCellDef>Estado</mat-header-cell>
                            <mat-cell *matCellDef="let element" data-label="Estado" [ngClass]="!element.status_special_schedule ? 'make-gold' : 'make-green'">
                                {{element.status_special_schedule ===0? globalMethods.validateFilterOptions 
                                    (element.status_special_schedule):globalMethods.validateFilterOptions(element.status_special_schedule)}}

                            </mat-cell>
                        </ng-container>

                        <ng-container matColumnDef="actions">
                            <mat-header-cell *matHeaderCellDef>Acciones</mat-header-cell>
                            <mat-cell *matCellDef="let element" data-label="Acciones">
                                <button appAcl permission="save" (click)="openModal(element)" mat-mini-fab
                                    aria-label="Actualizar" class="circle-buttons mx-auto" color="primary">
                                    <mat-icon matTooltip="Actualizar" [matTooltipPosition]="'above'" class="pointer">
                                        edit
                                    </mat-icon>
                                </button>
                            </mat-cell>
                        </ng-container>
                        <mat-header-row *matHeaderRowDef="displayedColumns"></mat-header-row>
                        <mat-row *matRowDef="let row; columns: displayedColumns;"></mat-row>
                    </mat-table>
                    <mat-paginator [pageSizeOptions]="[10, 20, 50, 100]" showFirstLastButtons></mat-paginator>
                </div>
            </mat-card-content>
        </mat-card>
    </div>
</div>






                  